Bug 913734 - (CVE-2013-0337) CVE-2013-0337 nginx: world-readable log files
CVE-2013-0337 nginx: world-readable log files
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130221,reported=2...
: Security
Depends On: 913735 913736
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-21 17:33 EST by Vincent Danen
Modified: 2013-04-10 18:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-10 18:28:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-02-21 17:33:24 EST
Agostino Sarubbo reported on the oss-security mailing list [1] that, on Gentoo, /var/log/nginx is world-accessible and the log files inside the directory are world-readable.  This could allow an unprivileged user to read the log files.

Checking on Fedora and EPEL, /var/log/nginx is provided with 0755 permissions.  These should be reduced to 0700 permissions, like /var/log/httpd.

[1] http://www.openwall.com/lists/oss-security/2013/02/21/15
Comment 1 Vincent Danen 2013-02-21 17:34:18 EST
Created nginx tracking bugs for this issue

Affects: fedora-all [bug 913735]
Affects: epel-all [bug 913736]
Comment 2 Vincent Danen 2013-02-22 01:35:37 EST
This was assigned CVE-2013-0337:

http://www.openwall.com/lists/oss-security/2013/02/22/1
Comment 3 Fedora Update System 2013-03-04 17:43:15 EST
nginx-1.0.15-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-04-04 12:42:54 EDT
nginx-1.0.15-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-04-04 12:45:33 EDT
nginx-0.8.55-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.